package com.hfkj.service;

import com.hfkj.entity.BsBankActivity;

import java.util.List;
import java.util.Map;

/**
 * @className: BsBankActivityService
 * @author: HuRui
 * @date: 2023/5/17
 **/
public interface BsBankActivityService {

    /**
     * 编辑数据
     * @param bankActivity
     */
    void editData(BsBankActivity bankActivity);

    /**
     * 查询银行权益列表
     * @param param
     * @return
     */
    List<BsBankActivity> getBankActivityList(Map<String, Object> param);

    /**
     * 根据id查询
     * @param bankActivityId
     * @return
     */
    BsBankActivity getBankActivityById(Long bankActivityId);
    BsBankActivity getBankActivityByNo(Long activityNo);

}
